DCMTK: DcmSharedSCPConfig Struct Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DcmSharedSCPConfig Struct Reference

Enables sharing configurations by multiple DcmSCPs. More...

Inheritance diagram for DcmSharedSCPConfig:

## Public Member Functions
| DcmSharedSCPConfig ()
| Default construct a DcmSharedSCPConfig object referring to a default constructed DcmSCPConfig object.
| DcmSharedSCPConfig (const DcmSCPConfig &config)
| Copy construct a DcmSharedSCPConfig object from a DcmSCPConfig object.
DcmSCPConfig * | operator-> () const
| Access the shared DcmSCPConfig object.
DcmSCPConfig & | operator* () const
| Access the shared DcmSCPConfig object.

## Additional Inherited Members
Private Member Functions inherited from OFshared_ptr< DcmSCPConfig >
| OFshared_ptr (DcmSCPConfig *const pt=OFnullptr)
| Constructs a shared_ptr with pt as the managed object.
| OFshared_ptr (const OFshared_ptr &other)
| Constructs a shared_ptr which shares ownership of the object managed by other.
OFshared_ptr & | operator= (const OFshared_ptr &other)
| Replaces the managed object with the one managed by other.
| ~OFshared_ptr ()
| If *this owns an object and it is the last shared_ptr owning it, the object is destroyed.
| operator OFBool () const
| Checks if *this manages an object, i.e.
OFBool | operator! () const
| Checks if *this does not manage an object, i.e.
DcmSCPConfig & | operator* () const
| Dereferences pointer to the managed object.
DcmSCPConfig * | operator-> () const
| Dereferences pointer to the managed object.
DcmSCPConfig * | get () const
| Returns a pointer to the managed object.
void | reset (DcmSCPConfig *const pt=OFnullptr)
| Replaces the managed object with an object pointed to by pt.

## Detailed Description

Enables sharing configurations by multiple DcmSCPs.

DcmSharedSCPConfig allows multiple DcmSCP objects to share a single DcmSCPConfig object as their configuration. DcmSharedSCPConfig is implemented using reference counting, so the underlying DcmSCP config object is destroyed only after the last reference to it is removed.

## Constructor & Destructor Documentation

## ◆ DcmSharedSCPConfig()

DcmSharedSCPConfig::DcmSharedSCPConfig | ( | const DcmSCPConfig & | config | ) |
| inlineexplicit

Copy construct a DcmSharedSCPConfig object from a DcmSCPConfig object.

This constructor enables sharing of an already existing DcmSCPConfig object by copy constructing a shareable configuration object from it.

Parameters

  config | the DcmSCPConfig object to copy construct the DcmSharedSCPConfig object from.

References OFshared_ptr< DcmSCPConfig >::OFshared_ptr().

## Member Function Documentation

## ◆ operator*()

DcmSCPConfig & DcmSharedSCPConfig::operator* | ( |  | ) | const
| inline

Access the shared DcmSCPConfig object.

Returns
  a reference to the shared DcmSCPConfig object.

References OFshared_ptr< DcmSCPConfig >::get().

## ◆ operator->()

DcmSCPConfig * DcmSharedSCPConfig::operator-> | ( |  | ) | const
| inline

Access the shared DcmSCPConfig object.

Returns
  a pointer to the shared DcmSCPConfig object.

References OFshared_ptr< DcmSCPConfig >::get().

The documentation for this struct was generated from the following file:

- dcmnet/include/dcmtk/dcmnet/scpcfg.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2